#ifndef Abschnitt_H
#define Abschnitt_H

#include <Fenster.h>

using namespace Framework;

class Abschnitt : public virtual ReferenceCounter
{
protected:
	Bildschirm* b;
	bool sichtbar;

	int getColorFromStatus(const char* status);

public:
	// Konstruktor
	Abschnitt(Bildschirm* b);
	// Destruktor
	~Abschnitt();
	// nicht constant
	virtual void setFenster(Fenster* f) = 0;
	virtual void setSichtbar(bool s) = 0;
	// constant
	bool istSichtbar() const;
};

#endif